Subject: Re: [EN] NNCP 8.5.0 release announcement

From: Sergey Matveev <[email-masked]>
Date: Wed, 26 Jan 2022 19:03:13 +0300

*** Parnikkapore [2022-01-26 23:26]:
>What is the versioning scheme of NNCP? I usually see bugfix releases bump
>the patch level (3rd number) and not the minor version (2nd number)...

It depends exclusively on my subjective opinion of how big is the bugfix
and are there any new features added. 8.5.0 basically adds OpenBSD
support (seems that it should not built on it for a very long time),
that can be treated like a feature. 8.3.0 repaired building on 32-bit
systems, that is very big and important bugfix. Major releases means
some backward incompatible change as a rule, however recently I replaced
μTP with gVisor's tcpip in minor one, that also was backward
incompatible, but I hoped that hardly anyone got it used.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF